package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PricingEspecificoCanalVendasDAO;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoCanalVendas;


@Repository("pricingEspecificoCanalVendasDAO")
public class PricingEspecificoCanalVendasHibernateDAO extends GenericHibernateDAO<PricingEspecificoCanalVendas, Long> implements PricingEspecificoCanalVendasDAO {

    @Autowired
    public PricingEspecificoCanalVendasHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }
	
	@SuppressWarnings("unchecked")
	@Override
	public List<PricingEspecificoCanalVendas> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
	}
	@SuppressWarnings("unchecked")
	@Override
	public Boolean isDuplicado(PricingEspecificoCanalVendas entidad) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("tipoPtovta.tipoptovtaId", entidad.getTipoPtovta().getTipoptovtaId()));
       
        return c.list().isEmpty();
	}
}

